#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "newreceta.h"
#include "verreceta.h"
#include "editarreceta.h"

#include <qdir.h>
#include <QMessageBox>
#include <QFile>
//#include <QTextStream>

/**
 * @brief MainWindow::MainWindow
 * Constructor de la clase encargada del manejo de la ventana principal en la interfaz grafica.
 * Crea los directorios necesarios para guardar las recetas si es que aun no existen.
 * @param parent Variable tipo Qwidget.
 */
MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    QDir::currentPath();

    if(!QDir("Ingredientes").exists() || !QDir("Ingredientes").exists())
        {
        QDir().mkdir("Ingredientes");
        QDir().mkdir("Procedimiento");
        }
}

/**
 * @brief MainWindow::~MainWindow
 * Destructor de la clase.
 */
MainWindow::~MainWindow()
{
    delete ui;
}

/**
 * @brief MainWindow::on_NuevaReceta_clicked
 * Funcion con boton para acceder a la opcion de nueva receta.
 * Al ser clickeada esta opcion despliega la ventana secundaria donde se puede hacer el ingreso de nuevas recetas.
 */
void MainWindow::on_NuevaReceta_clicked()
{
    NewReceta newwndw;
    newwndw.setModal(true);
    newwndw.exec();

    /*nueva=new NewReceta(this); ESTA ES PARA QUE SE PUEDA OCUPAR LA VENTANA PRINCIPAL A PESAR DE TENER LA SECUNDARIA ABIERTA
    nueva->show();*/
}

/**
 * @brief MainWindow::on_VerReceta_clicked
 * Funcion con boton para acceder a la opcion de ver receta.
 * Al ser clickeada esta opcion despliega la ventana secundaria donde se pueden ver todas las recetas guardadas.
 */
void MainWindow::on_VerReceta_clicked()
{
    QFile listado("Listado.txt");
    if(listado.size()==0)
        QMessageBox::information(0,"Información","Su recetario se encuentra vacío.\nNo hay recetas para ver.");
    else
    {
        VerReceta verwndw;
        verwndw.setModal(true);
        verwndw.exec();
    }
}

/**
 * @brief MainWindow::on_EditarReceta_clicked
 * Funcion con boton para acceder a la opcion de editar receta.
 * Al ser clickeada esta opcion despliega la ventana secundaria donde se pueden editar todas las recetas guardadas.
 */
void MainWindow::on_EditarReceta_clicked()
{
    QFile listado("Listado.txt");
    if(listado.size()==0)
        QMessageBox::information(0,"Información","Su recetario se encuentra vacío.\nNo hay recetas para editar.");
    else
    {
        EditarReceta edwndw;
        edwndw.setModal(true);
        edwndw.exec();
    }
}
