#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

namespace Ui {
class MainWindow;
}

/**
 * @brief MainWindow class
 * Clase que hereda de QMainWindow que muestra el menu principal de opciones.
 * El menu de opciones presenta 3 botones con las opciones:
 * -Nueva Receta
 * -Ver Receta
 * -Editar Receta
 */

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:

    /**
     * @brief MainWindow
     * Constuctor de la clase.
     * @param parent Parametro que indica que es una ventana al ser cero (0) por defecto.
     */
    explicit MainWindow(QWidget *parent = 0);

    /**
    *Destructor de la clase.
    */
    ~MainWindow();

private slots:

    /**
     * @brief on_NuevaReceta_clicked
     * Boton con la opcion de agregar una nueva receta.
     */
    void on_NuevaReceta_clicked();

    /**
     * @brief on_VerReceta_clicked
     * Boton con la opcion de ver las recetas guardadas.
     */
    void on_VerReceta_clicked();

    /**
     * @brief on_EditarReceta_clicked
     * Boton con la opcion de editar recetas.
     */
    void on_EditarReceta_clicked();

private:
    /**
     * @brief ui
     * Variable puntero para el manejo de la interfaz.
     */
    Ui::MainWindow *ui;
};

#endif // MAINWINDOW_H
