#ifndef NEWRECETA_H
#define NEWRECETA_H

#include <QDialog>

namespace Ui {
class NewReceta;
}

/**
 * @brief NewReceta class
 * Clase que hereda de QDialog encargada de la administracion de ventanas para agregar recetas, almacenandolas en archivos de texto.
 */
class NewReceta : public QDialog
{
    Q_OBJECT

public:

    /**
     * @brief NewReceta
     * Constuctor de la clase.
     * @param parent Parametro que indica que es una ventana al ser cero (0) por defecto.
     */
    explicit NewReceta(QWidget *parent = 0);

    /**
    *Destructor de la clase.
    */
    ~NewReceta();

private slots:

    /**
     * @brief on_VolverNew_released
     * Regresa a la pagina anterior.
     */
    void on_VolverNew_released();

    /**
     * @brief on_addNew_released
     * Agrega las nuevas recetas.
     */
    void on_addNew_released();

    /**
     * @brief on_SendNew_released
     * Envia la informacion ingresada, siempre que no sea vacia y verifica si existe anteriormente.
     */
    void on_SendNew_released();

private:

    /**
     * @brief ui
     * Variable puntero para el manejo de la interfaz.
     */
    Ui::NewReceta *ui;
};

#endif // NEWRECETA_H
